Subject: Re: [PATCH 0/8] Intel I/O Acceleration Technology (I/OAT)

From: Evgeniy Polyakov <[email-masked]>
Date: Sat, 4 Mar 2006 14:35:33 +0300

On Fri, Mar 03, 2006 at 02:39:22PM -0800, Chris Leech ([email-masked]) wrote:
> > Patch #2 didn't make it.  Too big for the list?
> 
> Could be, it's the largest of the series.  I've attached the gziped
> patch.  I can try and split this up for the future.

How can owner of cb_chan->common.device_node be removed?
It looks like that channels are only allocated (without proper error path) 
and queued into device->common.channels list in
enumerate_dma_channels() in PCI probe callback and no removing at all, only lockless access.
PCI remove callback only calls dma_async_device_unregister() where only
channel's clients are removed.

> - Chris

-- 
	Evgeniy Polyakov